Bug 187923 - Review Request: blktool
Review Request: blktool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-04 12:03 EDT by Jeff Garzik
Modified: 2013-07-02 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-05 11:05:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jeff Garzik 2006-04-04 12:03:52 EDT
Spec Name or Url: http://gtf.org/garzik/blktool/blktool.spec
SRPM Name or Url: http://gtf.org/garzik/blktool/blktool-4-2.src.rpm
Description: Block device settings tool
Comment 1 Jeff Garzik 2006-04-04 12:24:13 EDT
Similar to "ethtool" package, found in Fedora Core.  By the same author (me) as
ethtool, too.
Comment 2 Tomas Mraz 2006-04-04 15:29:33 EDT
Review:

rpmlint complains:

E: blktool zero-length /usr/share/doc/blktool-4/ChangeLog

This can be ignored.

The _sbindir macro is redefined, this is OK, however it should be probably later
used instead of the plain /sbin.

There is missing BuildRequires: glib2-devel
Comment 3 Jeff Garzik 2006-04-04 15:49:03 EDT
Updated to remove empty ChangeLog and add BuildRequires.

_sbindir thing is just aping what evolution has wrought in blktool's sister
package, Fedora Core ethtool.  No idea why, but its important that both of these
packages behave in a similar manner.

New URLs:
http://gtf.org/garzik/blktool/blktool.spec
http://gtf.org/garzik/blktool/blktool-4-3.src.rpm
Comment 4 Tomas Mraz 2006-04-05 04:02:08 EDT
About the _sbindir - I didn't say that it shouldn't be redefined but that
%{_sbindir} should be used instead of /sbin in the %install and %files sections
probably. But I don't insist on that.

Also probably the INSTALL file should be also removed from %doc because there
are only the generic installation instructions.

However these two above are only nitpicks so I leave it on you if you want to
fix them.

APPROVED

Note You need to log in before you can comment on or make changes to this bug.